Subject: bug#32534: Emacs (gtk) crashes on opening a file.

From: Robert Pluim <[email-masked]>
Date: Thu, 30 Aug 2018 12:22:00 +0200

Robert Pluim <[email-masked]> writes:

> Noam Postavsky <[email-masked]> writes:
>
>> উৎসব রায় <[email-masked]> writes:
>>
>>>>>> Okay, does doing (setq face-ignored-fonts '("Noto")) before opening the
>>>>>> file avoid the crash?
>>>>
>>>> I meant, does setting face-ignored-fonts in Emacs 26.1 avoid the crash?
>>>
>>> Checked, the problem persists with face-ignored-fonts.
>>
>> Oh.  Robert, did I get the workaround wrong, or does it mean that this
>> is not a dup of #30874?
>>
>
> For a reason I donʼt understand, the matching against
> 'face-ignored-fonts' only seems to happen on startup, so you need to
> set it in xfaces.c and recompile.

Nevermind. Not enough coffee, the matching works correctly.

If this is #30874 though, setting face-ignored-fonts should have
worked around it.

Robert